## WebKitDOMDOMApplicationCache

WebKitDOMDOMApplicationCache

## Functions

void | webkit_dom_dom_application_cache_update ()
void | webkit_dom_dom_application_cache_swap_cache ()
void | webkit_dom_dom_application_cache_abort ()
gboolean | webkit_dom_dom_application_cache_dispatch_event ()
gushort | webkit_dom_dom_application_cache_get_status ()

## Properties

guint | status | Read

## Types and Values

| WebKitDOMDOMApplicationCache

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMApplicationCache

## Implemented Interfaces

WebKitDOMDOMApplicationCache implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_dom_application_cache_update ()

    void
    webkit_dom_dom_application_cache_update
                                   (WebKitDOMDOMApplicationCache *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMDOMApplicationCache |
error | GError |

### webkit_dom_dom_application_cache_swap_cache ()

    void
    webkit_dom_dom_application_cache_swap_cache
                                   (WebKitDOMDOMApplicationCache *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMDOMApplicationCache |
error | GError |

### webkit_dom_dom_application_cache_abort ()

    void
    webkit_dom_dom_application_cache_abort
                                   (WebKitDOMDOMApplicationCache *self);

#### Parameters

self | A WebKitDOMDOMApplicationCache |

### webkit_dom_dom_application_cache_dispatch_event ()

    gboolean
    webkit_dom_dom_application_cache_dispatch_event
                                   (WebKitDOMDOMApplicationCache *self,
                                    WebKitDOMEvent *evt,
                                    GError **error);

`webkit_dom_dom_application_cache_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMDOMApplicationCache |
evt | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_dom_application_cache_get_status ()

    gushort
    webkit_dom_dom_application_cache_get_status
                                   (WebKitDOMDOMApplicationCache *self);

`webkit_dom_dom_application_cache_get_status` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMDOMApplicationCache |

#### Returns

A gushort

## Types and Values

### WebKitDOMDOMApplicationCache

    typedef struct _WebKitDOMDOMApplicationCache WebKitDOMDOMApplicationCache;

## Property Details

### The `“status”` property

      “status”                   guint

read-only gushort DOMApplicationCache:status.

Flags: Read

Default value: 0